Subject: [Tools-discuss] file length bug in calendar tool

From: "Aamer Akhter (aakhter)" <[email-masked]>
Date: Fri, 7 Dec 2007 21:43:46 -0500

Folks,

I really like calendar tool, but ran into an issue when many events were subscribed. It looks like the filename being provided in the ical URL is too long. The error message is like the below:

> > You don't have permission to access the requested object. It is
> either
> > read-protected or not readable by the server.
> >
> > If you think this is a server error, please contact the webmaster.
> > Error 403

I haven't seen the code, but I would think there are several ways to address this:

* if the file generated is static:
 - generate a MD5/whatever hash of the current filename that is being used and just use that to 

* if the data being used is dynamic:
 - don't pass a URL to a file, but just a URL to a script encoding the selected items into the URL. That way the script can generate the .ics every time. 

Just some thoughts, this is a _great_ utility.

Regards,

-- 
Aamer Akhter / [email-masked]
Ent & Commercial Systems, cisco Systems

_______________________________________________
Tools-discuss mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tools-discuss